<?php include_once 'codebase/hyperframe.php' ?>
<!doctype html>
<html>
<head>
   <TITLE>The page head section</TITLE>
   <META NAME="description"  CONTENT="Adding commands to the page head section">
   <META NAME="keywords" CONTENT="hyperframe !cms, head, meta, title, character-set">
   <META NAME="hf_frame" CONTENT="">
   <META NAME="hf_menu" CONTENT="left">
   <META NAME="hf_hide" CONTENT="">
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; utf-8">
   <META NAME="GENERATOR" CONTENT="Hyperframe !CMS">
   <META NAME="Author" CONTENT="IWR Consultancy">
</head>

<body>
<h1>The page &lt;head&gt; section</h1>

<p><strong>We have mentioned that the &lt;head&gt; section of Hyperframe&#39;s output to the browser is taken from the frame &lt;head&gt; section, with a few page-specific modifications. Nevertheless it is useful to have a &lt;head&gt; section in pages inasmuch as this allows you to exercise control over certain aspects of page rendering. </strong></p>

<p><strong>A default&nbsp; &lt;head&gt; section might be: </strong></p>

<pre>
&lt;html&gt;
<strong>&lt;head&gt;
   &lt;TITLE&gt;&lt;/TITLE&gt;
   &lt;META NAME=&quot;description&quot;  CONTENT=&quot;&quot;&gt;
   &lt;META NAME=&quot;keywords&quot; CONTENT=&quot;&quot;&gt;
&lt;/head&gt;
</strong>
Followed by...
&lt;body&gt;
&lt;h1&gt;This will be used as a title, if none is found in the head section&lt;/h1&gt;
&lt;p&gt;This will be used as a description, if no <em>title</em> is found in the head section&lt;/p&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>

<p>In fact, there is no requirement for discrete head or body sections to exist in a Hyperframe document. Though, if the document contains &lt;!doctype&gt;, &lt;html&gt;, &lt;head&gt; and/or &lt;body&gt; tags, these must follow correct HTML syntax rules.</p>

<p><strong>A custom page &lt;head&gt; section might contain: </strong></p>

<pre>
&lt;head&gt;
   &lt;TITLE&gt;The page head section&lt;/TITLE&gt;
   &lt;META NAME=&quot;description&quot;  CONTENT=&quot;A typical head section, for a Hyperframe page&quot;&gt;
   &lt;META NAME=&quot;keywords&quot; CONTENT=&quot;hyperframe !cms, head, meta tags, editing controls, section hiding&quot;&gt;
   &lt;META NAME=&quot;hf_doctype&quot; CONTENT=&quot;HTML4T&quot;&gt;  
   &lt;META NAME=&quot;hf_frame&quot; CONTENT=&quot;wide_frame&quot;&gt;
   &lt;META NAME=&quot;hf_menu&quot; CONTENT=&quot;top&quot;&gt;
   &lt;META NAME=&quot;hf_hide&quot; CONTENT=&quot;left&quot;&gt;
   &lt;META NAME=&quot;hf_editlevel&quot; CONTENT=&quot;3&quot;&gt;
   &lt;META NAME=&quot;hf_editors&quot; CONTENT=&quot;admin,jsmith&quot;&gt;
&lt;/head&gt;
</pre>

<h3>Editing the head section</h3>

<p>From Hyperframe v2.5 on, you can edit the head section of a page online, provided you have page source editing permissions. Log on and activate the online editor. In the editor toolbar, click the top-right button, labelled &#39;Edit HTML Source.&#39; Pages with a head section will show a two-pane editing window, the upper for page head, the lower for content. If only a single editjng pane is present, the page does not have a head section. Currently, head sections can only be added at page creation from new, or by manually editing an existing page.</p>

<p>After making your changes, click Write Back, or Write &amp; Quit to return to the live page editor. Note that the changes you have made to the head section are not committed to disk until you you save the page. (Bottom left editor toolbar button, or File..Save on the Hyperbar)</p>

<p>It is also worth mentioning that you cannot remove a head section from a file by deleting all content in the source editor. In that case, the head section will be unaltered.&nbsp;</p>

<h3>Titles</h3>

<p>Although the title seen in the browser topbar is seldom even noticed by site visitors, it is important in that it is used in bookmarks, and by many searchengines, along with either the first paragraph or the description tag, as the listing entry. Thus, Hyperframe includes code to ensure, as far as possible, that these items are not left out, or unsuitable for use as page listings.&nbsp;</p>

<p>The title attribute in the page head is used if it is present. If a <em>title</em> is present, the description meta content is also used. If no title is present, then a search is made of the document for the first &lt;Hn&gt; heading tag. This is used as a title. The description is then taken from the first identifiable paragraph in the document. In most cases this results in acceptable titles and descriptions without the need to tediously modify the head sections on a page-by-page basis. In a few cases the automatic search cannot return meaningful text, so in those cases you should enter a title and description manually.</p>

<p>An extremely common webmaster mistake is to reuse a page as a template for a new one on an entirely different subject, but forget to change the title tag. This can have amusing consequences in the search listings! Possibly not so amusing for the professional if the client spots it first, though. Therefore, in Hyperframe the best policy is to leave the title and description meta tags blank, and allow the system to &#39;use its judgement&#39; in selecting page text for these items. Occasionally this may result in less-than-ideal listings, but in the vast majority of cases the results are good, and the avoidance of titling mistakes is very worthwhile.</p>

<h3>Keywords</h3>

<p>It is debatable as to which, if any, search engines&nbsp;use keywords for page ranking these days. However, as good practice any keywords you include in the meta tag should occur somewhere in the page body. If they do not, this may result in a demotion of the page&#39;s ranking. Thus, Hyperframe does not carry over the keywords from the frame, as these words may not be present in individual pages. An idea for future development is that of a keyword pool, from which keywords which are relevant to site promotion AND which are present in a given page will be added to the meta tag for that page. This addition&nbsp; is not however regarded as a priority since it seems that keywords are not greatly relevant to page ranking these days.</p>

<h3>Special metas</h3>

<p><strong>hf_doctype</strong> -allows pages to use a specific document type, overriding the frame&#39;s settting.<br />
Useful if you need to import a few legacy pages that don&#39;t display well in HTML5. See the frame description for values.<br />
Be aware that this changes the tags inserted by CKEditor as well as the page rendering.</p>

<p><strong>hf_frame</strong> -allows pages to use a specific frame. The name is that of the frame directory, without slashes. This only affects the current page.</p>

<p><strong>hf_menu</strong> - side is the default. top transforms the quicklink menu into a full dropdown list. Mainly for use on pages without a sidebar.</p>

<p><strong>hf_hide</strong> - hides specific areas of the page. <em>banner,top,left,content,right,bottom</em> are the section names. <em>all</em> denotes all except content.</p>

<p><strong>hf_editlevel</strong> - Determines the minimum privelege level required to edit this page online. Value 1-5. Default is 1 (all logged-in users.)</p>

<p><strong>hf_editors</strong> - A comma-separated list of users who are allowed to edit this page regardless of privelege level. If no hf_editlevel is set, only admins or members of this list can edit the page. If set, hf_editlevel determines the privelege level needed by an nonlisted user.</p>

<h3>Other items</h3>

<p><strong>IMPORTANT: Stylesheet and javascript code or links placed in the head section will be ignored</strong>. You must place these in the page body, or frame head. Such links may however be added to the page head purely for the sake of static page testing outside of Hyperframe.&nbsp; Any doctype, character-set declaration or author/generator info will likewise only apply to static testing of the page. As previously mentioned, Hyperframe presently only allows a single document type and character-set per website. Page-specific character-sets could be added if the need is seen to exist.</p>

<p>&nbsp;</p>

</body>
</html>